unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Mask, Buttons;

type
  TForm1 = class(TForm)
    MaskEdit1: TMaskEdit;
    Button1: TButton;
    Label1: TLabel;
    Label2: TLabel;
    MaskEdit2: TMaskEdit;
    Label3: TLabel;
    Label4: TLabel;
    MaskEdit3: TMaskEdit;
    MaskEdit4: TMaskEdit;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Edit1: TEdit;
    Button2: TButton;
    Edit2: TEdit;
    Button3: TButton;
    Label13: TLabel;
    MaskEdit5: TMaskEdit;
    BitBtn1: TBitBtn;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Edit2KeyPress(Sender: TObject; var Key: Char);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  label1.Caption:='MaskEdit1.Text='+ maskedit1.Text;
 // maskedit2.Text:=maskedit1.Text;
  label2.Caption:='MaskEdit2.Text='+maskedit2.Text;
  label7.Caption:='MaskEdit1.Text='+ maskedit3.Text;
 // maskedit2.Text:=maskedit1.Text;
  label8.Caption:='MaskEdit2.Text='+maskedit4.Text;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Edit1.Text:=FloatToStr(StrToFloat(Edit1.Text)+1);
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  liczba: Integer;
begin
  liczba := StrToIntDef(Edit1.Text, 0);
  Edit1.Text := IntToStr(liczba);

end;

procedure TForm1.Edit2KeyPress(Sender: TObject; var Key: Char);
begin
  if Key=#13 then  Label13.Caption:=Edit2.Text;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  maskEdit5.Text:='';
  MaskEdit5.EditMask:='llll;l;_';
end;

end.
